summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Giancarlo Scola2014-02-15 09:48:26 +0100
committer Willy Sudiarto Raharjo2014-02-15 13:36:30 +0100
commitf27a952da49579f91aea2ad8dbc30b8ad26bcdd9 (patch)
tree0cd70044c6c346b429882cc62de0fb01db37fa20 /libraries
parent754a0bef1c6fc8521544cd720df4693954449227 (diff)
downloadslackbuilds-f27a952da49579f91aea2ad8dbc30b8ad26bcdd9.tar.gz
libraries/chromaprint: Updated for version 1.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/chromaprint/chromaprint.SlackBuild17
-rw-r--r--libraries/chromaprint/chromaprint.info6
2 files changed, 12 insertions, 11 deletions
diff --git a/libraries/chromaprint/chromaprint.SlackBuild b/libraries/chromaprint/chromaprint.SlackBuild
index 5cb38b938f..9be319aee9 100644
--- a/libraries/chromaprint/chromaprint.SlackBuild
+++ b/libraries/chromaprint/chromaprint.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Slackware build script for chromaprint
-# Copyright Matteo Bernardini <ponce@slackbuilds.org>, 2012
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, 2012-2014
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=chromaprint
-VERSION=${VERSION:-1.0}
+VERSION=${VERSION:-1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,9 +62,9 @@ else
tools="OFF" ; avfft="OFF" ; fftw3="ON"
fi
-DOCS="CHANGES.txt COPYING.txt NEWS.txt README.txt"
+DOCS="COPYING.txt NEWS.txt README.txt"
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,10 +74,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
mkdir -p build
cd build
@@ -89,6 +89,7 @@ cd build
-DWITH_AVFFT="$avfft" \
-DWITH_FFTW3="$fftw3" \
-DBUILD_TOOLS="$tools" \
+ -DBUILD_EXAMPLES="ON" \
-DCMAKE_BUILD_TYPE=Release ..
make
make install DESTDIR=$PKG
diff --git a/libraries/chromaprint/chromaprint.info b/libraries/chromaprint/chromaprint.info
index a88e849990..cd5b7ee737 100644
--- a/libraries/chromaprint/chromaprint.info
+++ b/libraries/chromaprint/chromaprint.info
@@ -1,8 +1,8 @@
PRGNAM="chromaprint"
-VERSION="1.0"
+VERSION="1.1"
HOMEPAGE="http://acoustid.org/chromaprint"
-DOWNLOAD="https://bitbucket.org/acoustid/chromaprint/downloads/chromaprint-1.0.tar.gz"
-MD5SUM="0b928db88d25099e6aece97fa9fc2335"
+DOWNLOAD="https://bitbucket.org/acoustid/chromaprint/downloads/chromaprint-1.1.tar.gz"
+MD5SUM="6db0b5240231b7d2e6628f49fc765b4a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""